%define upstream_name    CPAN-Changes
%define upstream_version 0.500005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Information about a particular release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.6.0
BuildRequires: perl(Sub::Quote) >= 1.5.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Types::Standard)
BuildArch:  noarch

%description
It is standard practice to include a Changes file in your distribution. The
purpose the Changes file is to help a user figure out what has changed
since the last release.

People have devised many ways to write the Changes file. A preliminary
specification has been created (the CPAN::Changes::Spec manpage) to
encourage module authors to write clear and concise Changes.

This module will help users programmatically read and write Changes files
that conform to the specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/tidy_changelog
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Apr 22 2025 tv <tv> 0.500.5-1.mga10
+ Revision: 2178081
- update to 0.500005

* Thu May 09 2024 tv <tv> 0.500.4-1.mga10
+ Revision: 2062978
- update to 0.500004

* Mon Feb 26 2024 tv <tv> 0.500.3-1.mga10
+ Revision: 2044368
- update to 0.500003

* Sat Oct 28 2023 tv <tv> 0.500.2-1.mga10
+ Revision: 2002447
- update to 0.500002

* Sun Mar 20 2022 umeabot <umeabot> 0.400.2-6.mga9
+ Revision: 1802628
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.2-5.mga8
+ Revision: 1493597
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.400.2-4.mga7
+ Revision: 1266688
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.400.2-3.mga6
+ Revision: 1024416
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.400.2-2.mga6
+ Revision: 968157
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.400.2-1.mga6
+ Revision: 851452
- update to 0.400002

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-3.mga5
+ Revision: 739392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-2.mga5
+ Revision: 683668
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 sander85 <sander85> 0.300.0-1.mga5
+ Revision: 657504
- update to 0.30

* Thu Jul 24 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 656334
- update to 0.29

* Wed Jun 11 2014 sander85 <sander85> 0.280.0-1.mga5
+ Revision: 635620
- update to 0.28

* Fri Feb 07 2014 shlomif <shlomif> 0.270.0-1.mga5
+ Revision: 585017
- update to 0.27

* Mon Oct 21 2013 umeabot <umeabot> 0.250.0-2.mga4
+ Revision: 539955
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 sander85 <sander85> 0.250.0-1.mga4
+ Revision: 493110
- update to 0.25

* Fri Aug 16 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 466858
- update to 0.23

* Wed Jul 31 2013 sander85 <sander85> 0.220.0-1.mga4
+ Revision: 461490
- update to 0.22

* Tue Jul 30 2013 sander85 <sander85> 0.210.0-1.mga4
+ Revision: 460994
- update to 0.21

* Sun Jul 21 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 456991
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 363603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 254576
- update to 0.19

* Thu Nov 03 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 162162
- update to 0.18

* Wed Jun 15 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 106476
- update to 0.17

* Wed Apr 13 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 84280
- update to 0.16

* Tue Apr 12 2011 kharec <kharec> 0.150.0-1.mga1
+ Revision: 83539
- update to new version 0.15

* Mon Apr 04 2011 kharec <kharec> 0.130.0-1.mga1
+ Revision: 80521
- new version

* Sun Apr 03 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 80036
- update to 0.11

* Wed Mar 16 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 72322
- update to 0.08

* Mon Mar 14 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 71079
- imported package perl-CPAN-Changes

